<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:g="http://www.ihe.net/gazelle"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:rich="http://richfaces.org/rich" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns="http://www.w3.org/1999/xhtml" template="//layout/template.xhtml">
    <ui:define name="body">
        <h:form id="globalForm">
            <h1>#{messages['gazelle.svs.GroupBrowser']}</h1>

            <a4j:queue requestDelay="300" ignoreDupResponses="true"/>
            <s:div id="divTableGroup">
                <ui:decorate template="/layout/panels/_panel_title_footer.xhtml">
                    <ui:define name="panel_title">#{messages['net.ihe.gazelle.simulators.GroupBrowserTable']}
                    </ui:define>
                    <rich:dataTable value="#{valueSetManagerSVS.getAllGroups()}" var="gp"
                                    rows="#{dataScrollerMemory.numberOfResultsPerPage}" id="tableGroups"
                                    render="ds">
                        <g:column sortBy="#{'iD'}" sortable="true" filterBy="#{'iD'}" filterEvent="onkeyup"
                                  width="170px"
                                  label="OID">
                            <ui:define name="header">#{messages['net.ihe.gazelle.simulators.OID']}</ui:define>
                            <h:outputLink value="#{valueSetManagerSVS.retrieveValueSetGroup(gp.iD)}" target="blank_">
                                <h:outputText value="#{gp.iD}"/>
                            </h:outputLink>
                        </g:column>
                        <g:column sortBy="#{'displayName'}" sortable="true" filterBy="#{'displayName'}"
                                  filterEvent="onkeyup" label="displayName">
                            <ui:define name="header">#{messages['gazelle.svs.DisplayName_2']}</ui:define>
                            <h:outputText value="#{gp.displayName}"/>
                        </g:column>
                        <g:column sortBy="#{'sourceOrganization'}" sortable="true" filterBy="#{'sourceOrganization'}"
                                  filterEvent="onkeyup" label="sourceOrganization">
                            <ui:define name="header">#{messages['gazelle.svs.SourceOrganization']}</ui:define>
                            <h:outputText value="#{gp.sourceOrganization}"/>
                        </g:column>
                        <g:column>
                            <ui:define name="header">#{messages['users.Action']}</ui:define>

                            <div class="gzl-never-wrap">
                                <h:commandLink id="viewActionButton" title="#{messages['gazelle.svs.MoreDetails']}"
                                               action="#{valueSetManagerSVS.displayGroup(gp)}"
                                               oncomplete="jq162('#iconPopup').modal('show');">
                                    <span class="gzl-icon-search"></span>
                                </h:commandLink>
                                <h:commandLink id="editActionButton" title="#{messages['gazelle.svs.EditGroup']}"
                                               rendered="#{applicationConfigurationManager.isUserAllowedAsAdmin()}"
                                               action="#{valueSetManagerSVS.editGroup(gp)}"
                                               oncomplete="jq162('#iconPopup').modal('show');">
                                    <span class="gzl-icon-pencil"></span>
                                </h:commandLink>
                                <a4j:commandLink id="deleteActionButton" title="#{messages['gazelle.svs.DeleteGroup']}"
                                                 action="#{valueSetManagerSVS.setSelectedGroup(gp)}"
                                                 render="deleteTextDiv"
                                                 oncomplete="jq162('#deletePopup').modal('show');"
                                                 rendered="#{applicationConfigurationManager.isUserAllowedAsAdmin() and valueSetManagerSVS.groupIsNotLinkedToValueSet(gp)}">
                                    <span class="gzl-icon-trash-o"></span>
                                </a4j:commandLink>
                            </div>
                        </g:column>
                        <f:facet name="footer">
                            <ui:include src="/util/datatableFooter.xhtml">
                                <ui:param name="dataScrollerId" value="ds"/>
                                <ui:param name="dataTableId" value="tableGroups"/>
                            </ui:include>
                        </f:facet>
                    </rich:dataTable>
                    <ui:define name="panel_footer">
                        <a4j:commandButton value="#{messages['gazelle.svs.AddNewGroup']}" styleClass="gzl-btn-blue"
                                           action="/browser/createGroup.seam"
                                           rendered="#{applicationConfigurationManager.isUserAllowedAsAdmin()}"/>
                    </ui:define>
                </ui:decorate>
            </s:div>
            <ui:decorate template="/layout/popup/_popup_title_footer.xhtml">
                <ui:param name="popup_id" value="deletePopup"/>
                <ui:param name="styleClass" value="modal-sm"/>
                <ui:param name="headerStyleClass" value="gzl-text-red"/>
                <ui:define name="popup_title">
                    <span class="fa fa-exclamation-triangle"></span>
                    #{messages['net.ihe.gazelle.simulators.DeleteGroupBrowser']}
                </ui:define>
                <ui:param name="bodyStyleClass" value="bg-warning"/>
                <s:div id="deleteTextDiv">
                    <h:outputText value="#{messages['net.ihe.gazelle.svssimulator.AreYouSureToDeleteTheGroupWithTheOid']} #{valueSetManagerSVS.selectedGroup.iD} ?"/>
                </s:div>
                <ui:define name="popup_footer">
                    <a4j:commandButton value="#{messages['net.ihe.gazelle.svssimulator.Yes']}"
                                       action="#{valueSetManagerSVS.deleteSelectedGroup()}"
                                       oncomplete="jq162('#deletePopup').modal('hide');"
                                       render="divTableGroup"
                                       styleClass="gzl-btn-red"/>
                    <a4j:commandButton value="#{messages['net.ihe.gazelle.svssimulator.No']}"
                                       styleClass="gzl-btn"
                                       oncomplete="jq162('#deletePopup').modal('hide');"/>
                </ui:define>
            </ui:decorate>
        </h:form>
    </ui:define>
</ui:composition>
